Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/CLIFF.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/CLIFF.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/CLIFF.java	(revision 135)
@@ -28,6 +28,12 @@
 public class CLIFF implements IPointWiseDataselectionStrategy, ISetWiseDataselectionStrategy {
 
+    /**
+     * percentage of data selected
+     */
     private double percentage = 0.10;
-    
+
+    /**
+     * number of ranges considered
+     */
     private final int numRanges = 10;
 
@@ -40,23 +46,23 @@
     @Override
     public void setParameter(String parameters) {
-        if( parameters!=null ) {
+        if (parameters != null) {
             percentage = Double.parseDouble(parameters);
         }
     }
-    
-    /**
+
+    /*
      * @see de.ugoe.cs.cpdp.dataselection.SetWiseDataselectionStrategy#apply(weka.core.Instances,
-     *      org.apache.commons.collections4.list.SetUniqueList)
+     * org.apache.commons.collections4.list.SetUniqueList)
      */
     @Override
     public void apply(Instances testdata, SetUniqueList<Instances> traindataSet) {
-        for( Instances traindata : traindataSet ) {
+        for (Instances traindata : traindataSet) {
             applyCLIFF(traindata);
         }
     }
 
-    /**
+    /*
      * @see de.ugoe.cs.cpdp.dataselection.PointWiseDataselectionStrategy#apply(weka.core.Instances,
-     *      weka.core.Instances)
+     * weka.core.Instances)
      */
     @Override
@@ -65,39 +71,50 @@
     }
 
+    /**
+     * <p>
+     * Applies the CLIFF relevancy filter to the data.
+     * </p>
+     *
+     * @param data
+     *            the data
+     * @return CLIFF-filtered data
+     */
     protected Instances applyCLIFF(Instances data) {
         final double[][] powerAttributes = new double[data.size()][data.numAttributes()];
         final double[] powerEntity = new double[data.size()];
-        
+
         final int[] counts = data.attributeStats(data.classIndex()).nominalCounts;
         final double probDefect = data.numInstances() / (double) counts[1];
-        
-        for( int j=0; j<data.numAttributes(); j++ ) {
-            if( data.attribute(j)!=data.classAttribute()) {
+
+        for (int j = 0; j < data.numAttributes(); j++) {
+            if (data.attribute(j) != data.classAttribute()) {
                 final double[] ranges = getRanges(data, j);
                 final double[] probDefectRange = getRangeProbabilities(data, j, ranges);
-                
-                for( int i=0 ; i<data.numInstances() ; i++ ) {
+
+                for (int i = 0; i < data.numInstances(); i++) {
                     final double value = data.instance(i).value(j);
                     final int range = determineRange(ranges, value);
                     double probClass, probNotClass, probRangeClass, probRangeNotClass;
-                    if( data.instance(i).classValue()==1 ) {
+                    if (data.instance(i).classValue() == 1) {
                         probClass = probDefect;
-                        probNotClass = 1.0-probDefect;
+                        probNotClass = 1.0 - probDefect;
                         probRangeClass = probDefectRange[range];
-                        probRangeNotClass = 1.0-probDefectRange[range];
-                    } else {
-                        probClass = 1.0-probDefect;
+                        probRangeNotClass = 1.0 - probDefectRange[range];
+                    }
+                    else {
+                        probClass = 1.0 - probDefect;
                         probNotClass = probDefect;
-                        probRangeClass = 1.0-probDefectRange[range];
+                        probRangeClass = 1.0 - probDefectRange[range];
                         probRangeNotClass = probDefectRange[range];
                     }
-                    powerAttributes[i][j] = Math.pow(probRangeClass, 2.0)/(probRangeClass*probClass+probRangeNotClass*probNotClass);
+                    powerAttributes[i][j] = Math.pow(probRangeClass, 2.0) /
+                        (probRangeClass * probClass + probRangeNotClass * probNotClass);
                 }
             }
         }
-        
-        for( int i=0; i<data.numInstances(); i++ ) {
+
+        for (int i = 0; i < data.numInstances(); i++) {
             powerEntity[i] = 1.0;
-            for (int j=0; j<data.numAttributes() ; j++ ) {
+            for (int j = 0; j < data.numAttributes(); j++) {
                 powerEntity[i] *= powerAttributes[i][j];
             }
@@ -105,10 +122,10 @@
         double[] sortedPower = powerEntity.clone();
         Arrays.sort(sortedPower);
-        double cutOff = sortedPower[(int) (data.numInstances()*(1-percentage))];
+        double cutOff = sortedPower[(int) (data.numInstances() * (1 - percentage))];
 
         final Instances selected = new Instances(data);
         selected.delete();
-        for (int i=0; i<data.numInstances(); i++) {
-            if( powerEntity[i]>=cutOff ) {
+        for (int i = 0; i < data.numInstances(); i++) {
+            if (powerEntity[i] >= cutOff) {
                 selected.add(data.instance(i));
             }
@@ -116,35 +133,70 @@
         return selected;
     }
-    
+
+    /**
+     * <p>
+     * Gets an array with the ranges from the data for a given attribute
+     * </p>
+     *
+     * @param data
+     *            the data
+     * @param j
+     *            index of the attribute
+     * @return the ranges for the attribute
+     */
     private double[] getRanges(Instances data, int j) {
-        double[] values = new double[numRanges+1];
-        for( int k=0; k<numRanges; k++ ) {
-            values[k] = data.kthSmallestValue(j, (int) (data.size()*(k+1.0)/numRanges));
+        double[] values = new double[numRanges + 1];
+        for (int k = 0; k < numRanges; k++) {
+            values[k] = data.kthSmallestValue(j, (int) (data.size() * (k + 1.0) / numRanges));
         }
         values[numRanges] = data.attributeStats(j).numericStats.max;
         return values;
     }
-    
+
+    /**
+     * <p>
+     * Gets the probabilities of a positive prediction for each range for a given attribute
+     * </p>
+     *
+     * @param data
+     *            the data
+     * @param j
+     *            index of the attribute
+     * @param ranges
+     *            the ranges
+     * @return probabilities for each range
+     */
     private double[] getRangeProbabilities(Instances data, int j, double[] ranges) {
         double[] probDefectRange = new double[numRanges];
         int[] countRange = new int[numRanges];
         int[] countDefect = new int[numRanges];
-        for( int i=0; i<data.numInstances() ; i++ ) {
-            int range = determineRange(ranges, data.instance(i).value(j)); 
+        for (int i = 0; i < data.numInstances(); i++) {
+            int range = determineRange(ranges, data.instance(i).value(j));
             countRange[range]++;
-            if( data.instance(i).classValue()== 1 ) {
+            if (data.instance(i).classValue() == 1) {
                 countDefect[range]++;
             }
 
         }
-        for( int k=0; k<numRanges; k++ ) {
+        for (int k = 0; k < numRanges; k++) {
             probDefectRange[k] = ((double) countDefect[k]) / countRange[k];
         }
         return probDefectRange;
     }
-    
+
+    /**
+     * <p>
+     * Determines the range of a give value
+     * </p>
+     *
+     * @param ranges
+     *            the possible ranges
+     * @param value
+     *            the value
+     * @return index of the range
+     */
     private int determineRange(double[] ranges, double value) {
-        for( int k=0; k<numRanges; k++ ) {
-            if( value<=ranges[k+1] ) {
+        for (int k = 0; k < numRanges; k++) {
+            if (value <= ranges[k + 1]) {
                 return k;
             }
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/DBSCANFilter.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/DBSCANFilter.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/DBSCANFilter.java	(revision 135)
@@ -99,5 +99,6 @@
                     .valid(); clusterIter.advance())
                 {
-                    int internalIndex = clusterIter.internalGetIndex() - testdata.size() - firstInternalIndex;
+                    int internalIndex =
+                        clusterIter.internalGetIndex() - testdata.size() - firstInternalIndex;
                     if (internalIndex >= 0) {
                         // index belongs to a training instance
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/LACE2.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/LACE2.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/LACE2.java	(revision 135)
@@ -12,5 +12,4 @@
 //   See the License for the specific language governing permissions and
 //   limitations under the License.
-
 
 package de.ugoe.cs.cpdp.dataselection;
@@ -39,21 +38,35 @@
 public class LACE2 implements ISetWiseDataselectionStrategy {
 
+    /**
+     * percentage of data selected by the internal CLIFF.
+     */
     private double percentage = 0.10;
-    
+
+    /*
+     * (non-Javadoc)
+     * 
+     * @see de.ugoe.cs.cpdp.IParameterizable#setParameter(java.lang.String)
+     */
     @Override
     public void setParameter(String parameters) {
-        if( parameters!=null && !parameters.isEmpty()) {
+        if (parameters != null && !parameters.isEmpty()) {
             percentage = Double.parseDouble(parameters);
         }
     }
 
+    /*
+     * (non-Javadoc)
+     * 
+     * @see de.ugoe.cs.cpdp.dataselection.ISetWiseDataselectionStrategy#apply(weka.core.Instances,
+     * org.apache.commons.collections4.list.SetUniqueList)
+     */
     @Override
     public void apply(Instances testdata, SetUniqueList<Instances> traindataSet) {
         Instances selectedData = new Instances(testdata);
         selectedData.clear();
-        
+
         LinkedList<Instances> traindataCopy = new LinkedList<>(traindataSet);
         Collections.shuffle(traindataCopy);
-        
+
         CLIFF cliff = new CLIFF();
         cliff.setParameter(Double.toString(percentage));
@@ -61,13 +74,13 @@
         Median median = new Median();
         double minDist = Double.MIN_VALUE;
-        
-        for( Instances traindata : traindataCopy ) {
+
+        for (Instances traindata : traindataCopy) {
             Instances cliffedData = cliff.applyCLIFF(traindata);
-            if( minDist==Double.MIN_VALUE ) {
+            if (minDist == Double.MIN_VALUE) {
                 // determine distance for leader-follower algorithm
                 Instances sample;
-                if( traindata.size()>100 ) {
+                if (traindata.size() > 100) {
                     Resample resample = new Resample();
-                    resample.setSampleSizePercent(100.0/traindata.size()*100.0);
+                    resample.setSampleSizePercent(100.0 / traindata.size() * 100.0);
                     resample.setBiasToUniformClass(0.0);
                     resample.setNoReplacement(true);
@@ -79,21 +92,27 @@
                         throw new RuntimeException(e);
                     }
-                } else {
+                }
+                else {
                     sample = new Instances(traindata);
                 }
                 double[] distances = new double[sample.size()];
-                for( int i=0; i<sample.size(); i++ ) {
+                for (int i = 0; i < sample.size(); i++) {
                     Instance unlikeNeighbor = morph.getNearestUnlikeNeighbor(sample.get(i), sample);
-                    distances[i] = MathArrays.distance(WekaUtils.instanceValues(sample.get(i)), WekaUtils.instanceValues(unlikeNeighbor));
+                    distances[i] = MathArrays.distance(WekaUtils.instanceValues(sample.get(i)),
+                                                       WekaUtils.instanceValues(unlikeNeighbor));
                 }
                 minDist = median.evaluate(distances);
             }
-            for( int i=0; i<cliffedData.size(); i++ ) {
-                Instance unlikeNeighbor = morph.getNearestUnlikeNeighbor(cliffedData.get(i), selectedData);
-                if( unlikeNeighbor==null ) {
+            for (int i = 0; i < cliffedData.size(); i++) {
+                Instance unlikeNeighbor =
+                    morph.getNearestUnlikeNeighbor(cliffedData.get(i), selectedData);
+                if (unlikeNeighbor == null) {
                     selectedData.add(cliffedData.get(i));
-                } else {
-                    double distance = MathArrays.distance(WekaUtils.instanceValues(cliffedData.get(i)), WekaUtils.instanceValues(unlikeNeighbor));
-                    if( distance>minDist ) {
+                }
+                else {
+                    double distance =
+                        MathArrays.distance(WekaUtils.instanceValues(cliffedData.get(i)),
+                                            WekaUtils.instanceValues(unlikeNeighbor));
+                    if (distance > minDist) {
                         morph.morphInstance(cliffedData.get(i), cliffedData);
                         selectedData.add(cliffedData.get(i));
@@ -103,4 +122,4 @@
         }
     }
-    
+
 }
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/MahalanobisOutlierRemoval.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/MahalanobisOutlierRemoval.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/MahalanobisOutlierRemoval.java	(revision 135)
@@ -97,9 +97,11 @@
         RealMatrix inverseCovariance;
         try {
-            inverseCovariance =
-            new LUDecomposition(new Covariance(values).getCovarianceMatrix()).getSolver()
-                .getInverse();
-        } catch(SingularMatrixException e) {
-            Console.traceln(Level.WARNING, "could not perform Mahalanobis outlier removal due to singular covariance matrix");
+            inverseCovariance = new LUDecomposition(new Covariance(values).getCovarianceMatrix())
+                .getSolver().getInverse();
+        }
+        catch (SingularMatrixException e) {
+            Console
+                .traceln(Level.WARNING,
+                         "could not perform Mahalanobis outlier removal due to singular covariance matrix");
             return;
         }
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/PetersFilter.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/PetersFilter.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/PetersFilter.java	(revision 135)
@@ -27,5 +27,6 @@
 
 /**
- * Filter according to F. Peters, T. Menzies, and A. Marcus: Better Cross Company Defect Prediction <br>
+ * Filter according to F. Peters, T. Menzies, and A. Marcus: Better Cross Company Defect Prediction
+ * <br>
  * <br>
  * This filter does not work, the paper has been withdrawn.
@@ -36,5 +37,5 @@
 public class PetersFilter implements IPointWiseDataselectionStrategy {
 
-    /**
+    /*
      * @see de.ugoe.cs.cpdp.IParameterizable#setParameter(java.lang.String)
      */
@@ -44,7 +45,7 @@
     }
 
-    /**
+    /*
      * @see de.ugoe.cs.cpdp.dataselection.IPointWiseDataselectionStrategy#apply(weka.core.Instances,
-     *      weka.core.Instances)
+     * weka.core.Instances)
      */
     @Override
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/PointWiseEMClusterSelection.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/PointWiseEMClusterSelection.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/PointWiseEMClusterSelection.java	(revision 135)
@@ -31,10 +31,10 @@
  * Use in Config:
  * 
- * Specify number of clusters -N = Num Clusters <pointwiseselector
- * name="PointWiseEMClusterSelection" param="-N 10"/>
+ * Specify number of clusters -N = Num Clusters
+ * <pointwiseselector name="PointWiseEMClusterSelection" param="-N 10"/>
  * 
  * Try to determine the number of clusters: -I 10 = max iterations -X 5 = 5 folds for cross
- * evaluation -max = max number of clusters <pointwiseselector name="PointWiseEMClusterSelection"
- * param="-I 10 -X 5 -max 300"/>
+ * evaluation -max = max number of clusters
+ * <pointwiseselector name="PointWiseEMClusterSelection" param="-I 10 -X 5 -max 300"/>
  * 
  * Don't forget to add: <preprocessor name="Normalization" param=""/>
@@ -42,6 +42,14 @@
 public class PointWiseEMClusterSelection implements IPointWiseDataselectionStrategy {
 
+    /**
+     * paramters passed to the selection
+     */
     private String[] params;
 
+    /*
+     * (non-Javadoc)
+     * 
+     * @see de.ugoe.cs.cpdp.IParameterizable#setParameter(java.lang.String)
+     */
     @Override
     public void setParameter(String parameters) {
@@ -108,7 +116,6 @@
             }
 
-            Console.traceln(Level.INFO,
-                            String.format("our testdata is in: " + selectedCluster.size() +
-                                " different clusters"));
+            Console.traceln(Level.INFO, String
+                .format("our testdata is in: " + selectedCluster.size() + " different clusters"));
 
             // 5. get cluster membership of our traindata
@@ -127,7 +134,6 @@
             for (int j = 0; j < ctrain.numInstances(); j++) {
                 // get the cluster number from the attributes
-                cnumber =
-                    Integer.parseInt(ctrain.get(j).stringValue(ctrain.get(j).numAttributes() - 1)
-                        .replace("cluster", ""));
+                cnumber = Integer.parseInt(ctrain.get(j)
+                    .stringValue(ctrain.get(j).numAttributes() - 1).replace("cluster", ""));
 
                 // Console.traceln(Level.INFO,
@@ -145,7 +151,6 @@
             }
 
-            Console.traceln(Level.INFO,
-                            String.format("that leaves us with: " + selected.numInstances() +
-                                " traindata instances from " + traindata.numInstances()));
+            Console.traceln(Level.INFO, String.format("that leaves us with: " +
+                selected.numInstances() + " traindata instances from " + traindata.numInstances()));
         }
         catch (Exception e) {
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/SeparatabilitySelection.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/SeparatabilitySelection.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/SeparatabilitySelection.java	(revision 135)
@@ -86,7 +86,6 @@
                     inst.setClassValue(1.0);
                     sample.add(inst);
-                    inst =
-                        new DenseInstance(
-                                          traindata.instance(rand.nextInt(traindata.numInstances())));
+                    inst = new DenseInstance(traindata
+                        .instance(rand.nextInt(traindata.numInstances())));
                     inst.setDataset(sample);
                     inst.setClassValue(0.0);
@@ -101,6 +100,5 @@
                 }
                 catch (Exception e) {
-                    throw new RuntimeException(
-                                               "cross-validation during calculation of separatability failed",
+                    throw new RuntimeException("cross-validation during calculation of separatability failed",
                                                e);
                 }
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/SetWiseEMClusterSelection.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/SetWiseEMClusterSelection.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/SetWiseEMClusterSelection.java	(revision 135)
@@ -74,6 +74,5 @@
         }
         catch (Exception e) {
-            throw new RuntimeException(
-                                       "error applying setwise EM clustering training data selection",
+            throw new RuntimeException("error applying setwise EM clustering training data selection",
                                        e);
         }
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/SetWiseEMContextSelection.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/SetWiseEMContextSelection.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/SetWiseEMContextSelection.java	(revision 135)
@@ -41,6 +41,14 @@
 public class SetWiseEMContextSelection implements ISetWiseDataselectionStrategy {
 
+    /**
+     * context factors
+     */
     private String[] project_context_factors; // = new String[]{"TND", "TNC", "TNF", "TLOC"};
 
+    /*
+     * (non-Javadoc)
+     * 
+     * @see de.ugoe.cs.cpdp.IParameterizable#setParameter(java.lang.String)
+     */
     @Override
     public void setParameter(String parameters) {
@@ -103,10 +111,15 @@
         }
         catch (Exception e) {
-            throw new RuntimeException(
-                                       "error applying setwise EM clustering training data selection",
+            throw new RuntimeException("error applying setwise EM clustering training data selection",
                                        e);
         }
     }
 
+    /*
+     * (non-Javadoc)
+     * 
+     * @see de.ugoe.cs.cpdp.dataselection.ISetWiseDataselectionStrategy#apply(weka.core.Instances,
+     * org.apache.commons.collections4.list.SetUniqueList)
+     */
     @Override
     public void apply(Instances testdata, SetUniqueList<Instances> traindataSet) {
@@ -131,5 +144,6 @@
      * @return
      */
-    protected Instances getContextFactors(Instances testdata, SetUniqueList<Instances> traindataSet)
+    protected Instances getContextFactors(Instances testdata,
+                                          SetUniqueList<Instances> traindataSet)
     {
         // setup weka Instances for clustering
@@ -190,5 +204,7 @@
                 remove.add(traindata);
                 // Console.traceln(Level.WARNING,
-                // "rmove attribute "+attribute+" test: "+testdata.firstInstance().value(testdata.attribute(attribute))+" train: "+traindata.firstInstance().value(traindata.attribute(attribute)));
+                // "rmove attribute "+attribute+" test:
+                // "+testdata.firstInstance().value(testdata.attribute(attribute))+" train:
+                // "+traindata.firstInstance().value(traindata.attribute(attribute)));
             }
         }
@@ -218,6 +234,5 @@
         }
         catch (Exception e) {
-            throw new RuntimeException(
-                                       "Unexpected exception during normalization of distributional characteristics.",
+            throw new RuntimeException("Unexpected exception during normalization of distributional characteristics.",
                                        e);
         }
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/SetWiseKNNSelection.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/SetWiseKNNSelection.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/SetWiseKNNSelection.java	(revision 135)
@@ -71,7 +71,6 @@
         int closestIndex = 1;
         for (int i = 1; i < data.numInstances(); i++) {
-            double distance =
-                MathArrays.distance(data.instance(0).toDoubleArray(), data.instance(i)
-                    .toDoubleArray());
+            double distance = MathArrays.distance(data.instance(0).toDoubleArray(),
+                                                  data.instance(i).toDoubleArray());
             if (distance < closestDistance) {
                 closestDistance = distance;
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/SynonymOutlierRemoval.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/SynonymOutlierRemoval.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/dataselection/SynonymOutlierRemoval.java	(revision 135)
@@ -19,5 +19,5 @@
 /**
  * <p>
- * Synonym outlier removal after Amasaki et al. (2015). 
+ * Synonym outlier removal after Amasaki et al. (2015).
  * </p>
  * 
@@ -26,5 +26,7 @@
 public class SynonymOutlierRemoval implements IPointWiseDataselectionStrategy {
 
-    /* (non-Javadoc)
+    /*
+     * (non-Javadoc)
+     * 
      * @see de.ugoe.cs.cpdp.IParameterizable#setParameter(java.lang.String)
      */
@@ -34,6 +36,9 @@
     }
 
-    /* (non-Javadoc)
-     * @see de.ugoe.cs.cpdp.dataselection.IPointWiseDataselectionStrategy#apply(weka.core.Instances, weka.core.Instances)
+    /*
+     * (non-Javadoc)
+     * 
+     * @see de.ugoe.cs.cpdp.dataselection.IPointWiseDataselectionStrategy#apply(weka.core.Instances,
+     * weka.core.Instances)
      */
     @Override
@@ -48,25 +53,27 @@
      * </p>
      *
-     * @param traindata data from which the outliers are removed.
+     * @param traindata
+     *            data from which the outliers are removed.
      */
     public void applySynonymRemoval(Instances traindata) {
-        double minDistance[][] = new double[traindata.size()][traindata.numAttributes()-1];
-        double minDistanceAttribute[] = new double[traindata.numAttributes()-1];
+        double minDistance[][] = new double[traindata.size()][traindata.numAttributes() - 1];
+        double minDistanceAttribute[] = new double[traindata.numAttributes() - 1];
         double distance;
-        for( int j=0; j<minDistanceAttribute.length; j++ ) {
+        for (int j = 0; j < minDistanceAttribute.length; j++) {
             minDistanceAttribute[j] = Double.MAX_VALUE;
         }
-        for (int i1 = traindata.size()-1; i1 < traindata.size(); i1++) {
-            int k=0;
+        for (int i1 = traindata.size() - 1; i1 < traindata.size(); i1++) {
+            int k = 0;
             for (int j = 0; j < traindata.numAttributes(); j++) {
-                if( j!=traindata.classIndex() ) {
+                if (j != traindata.classIndex()) {
                     minDistance[i1][k] = Double.MAX_VALUE;
                     for (int i2 = 0; i2 < traindata.size(); i2++) {
                         if (i1 != i2) {
-                            distance = Math.abs(traindata.get(i1).value(j) - traindata.get(i2).value(j));
+                            distance =
+                                Math.abs(traindata.get(i1).value(j) - traindata.get(i2).value(j));
                             if (distance < minDistance[i1][k]) {
                                 minDistance[i1][k] = distance;
                             }
-                            if( distance < minDistanceAttribute[k] ) {
+                            if (distance < minDistanceAttribute[k]) {
                                 minDistanceAttribute[k] = distance;
                             }
@@ -77,10 +84,10 @@
             }
         }
-        for( int i=traindata.size()-1; i>=0; i-- ) {
+        for (int i = traindata.size() - 1; i >= 0; i--) {
             boolean hasClosest = false;
-            for( int j=0; !hasClosest && j<traindata.numAttributes(); j++ ) {
-                hasClosest = minDistance[i][j]<=minDistanceAttribute[j];
+            for (int j = 0; !hasClosest && j < traindata.numAttributes(); j++) {
+                hasClosest = minDistance[i][j] <= minDistanceAttribute[j];
             }
-            if( !hasClosest ) {
+            if (!hasClosest) {
                 traindata.delete(i);
             }
